Package org.h2gis.functions.io.gpx.model

# Class GPXPoint

java.lang.Object
org.h2gis.functions.io.gpx.model.GPXPoint

public class GPXPoint extends Object
This class gives bvalues for every types of points (waypoint, routepoint and trackpoint).

Author:
  Erwan Bocher

## Constructor Summary

Constructors
Constructor
Description
`GPXPoint(int numberOfValues)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearValues(int valuesCount)`
This method is used to create a new array of values
`final Object[]`
`getValues()`
Gives access to the point's values
`final void`
`setAgeofdgpsdata(StringBuilder contentBuffer)`
Set number of seconds since last DGPS update for a point.
`final void`
`setAttribute(String currentElement, StringBuilder contentBuffer)`
Set an attribute for a point.
`final void`
`setCmt(StringBuilder contentBuffer)`
Set the comment of a point.
`final void`
`setDesc(StringBuilder contentBuffer)`
Set the description of a point.
`final void`
`setDgpsid(StringBuilder contentBuffer)`
Set ID of DGPS station used in differential correction for a point.
`final void`
`setElevation(StringBuilder contentBuffer)`
Set the elevation (in meters) of a point.
`final void`
`setExtensions()`
Set extentions of a point to true.
`final void`
`setFix(StringBuilder contentBuffer)`
Set the type of GPX fix used for a point.
`final void`
`setGeoidheight(StringBuilder contentBuffer)`
Set the height (in meters) of geoid (mean sea level) above WGS84 earth ellipsoid of a point.
`final void`
`setHdop(StringBuilder contentBuffer)`
Set the horizontal dilution of precision of a point.
`final void`
`setLink(StringBuilder contentBuffer)`
Set a link to additional information about the point.
`final void`
`setLink(Attributes attributes)`
Set a link to additional information about the point.
`final void`
`setLinkText(StringBuilder contentBuffer)`
Set a text of hyperlink given in link.
`final void`
`setMagvar(StringBuilder contentBuffer)`
Set the Magnetic variation (in degrees) of a point.
`final void`
`setName(StringBuilder contentBuffer)`
Set the name of a point.
`final void`
`setPdop(StringBuilder contentBuffer)`
Set the position dilution of precision of a point.
`final void`
`setSat(StringBuilder contentBuffer)`
Set the number of satellites used to calculate the GPX fix for a point.
`final void`
`setSrc(StringBuilder contentBuffer)`
Set the source of data of a point.
`final void`
`setSym(StringBuilder contentBuffer)`
Set the GPS symbol name of a point.
`final void`
`setTime(StringBuilder contentBuffer)`
Creation/modification timestamp for element.
`final void`
`setType(StringBuilder contentBuffer)`
Set the type (classification) of a point.
`final void`
`setValue(int i, Object value)`
Set a Value in corresponding index.
`final void`
`setVdop(StringBuilder contentBuffer)`
Set the vertical dilution of precision of a point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GPXPoint

public GPXPoint(int numberOfValues)

## Method Details

### clearValues

public void clearValues(int valuesCount)
This method is used to create a new array of values

Parameters:
  `valuesCount` -

### setAttribute

public final void setAttribute(String currentElement, StringBuilder contentBuffer)
Set an attribute for a point. The String currentElement gives the information of which attribute have to be setted. The attribute to set is given by the StringBuilder contentBuffer.

Parameters:
  `currentElement` - a string presenting the text of the current markup.
  `contentBuffer` - it contains all informations about the current element.

### setElevation

public final void setElevation(StringBuilder contentBuffer)
Set the elevation (in meters) of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setTime

public final void setTime(StringBuilder contentBuffer)
Creation/modification timestamp for element. Date and time in are in Univeral Coordinated Time (UTC), not local time! Conforms to ISO 8601 specification for date/time representation. Fractional seconds are allowed for millisecond timing in tracklogs.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setMagvar

public final void setMagvar(StringBuilder contentBuffer)
Set the Magnetic variation (in degrees) of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setGeoidheight

public final void setGeoidheight(StringBuilder contentBuffer)
Set the height (in meters) of geoid (mean sea level) above WGS84 earth ellipsoid of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setName

public final void setName(StringBuilder contentBuffer)
Set the name of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setCmt

public final void setCmt(StringBuilder contentBuffer)
Set the comment of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setDesc

public final void setDesc(StringBuilder contentBuffer)
Set the description of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setSrc

public final void setSrc(StringBuilder contentBuffer)
Set the source of data of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setLink

public final void setLink(Attributes attributes)
Set a link to additional information about the point.

Parameters:
  `attributes` - The current attributes being parsed

### setLink

public final void setLink(StringBuilder contentBuffer)
Set a link to additional information about the point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setLinkText

public final void setLinkText(StringBuilder contentBuffer)
Set a text of hyperlink given in link.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setSym

public final void setSym(StringBuilder contentBuffer)
Set the GPS symbol name of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setType

public final void setType(StringBuilder contentBuffer)
Set the type (classification) of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setFix

public final void setFix(StringBuilder contentBuffer)
Set the type of GPX fix used for a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setSat

public final void setSat(StringBuilder contentBuffer)
Set the number of satellites used to calculate the GPX fix for a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setHdop

public final void setHdop(StringBuilder contentBuffer)
Set the horizontal dilution of precision of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setVdop

public final void setVdop(StringBuilder contentBuffer)
Set the vertical dilution of precision of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setPdop

public final void setPdop(StringBuilder contentBuffer)
Set the position dilution of precision of a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setAgeofdgpsdata

public final void setAgeofdgpsdata(StringBuilder contentBuffer)
Set number of seconds since last DGPS update for a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setDgpsid

public final void setDgpsid(StringBuilder contentBuffer)
Set ID of DGPS station used in differential correction for a point.

Parameters:
  `contentBuffer` - Contains the information to put in the table

### setExtensions

public final void setExtensions()
Set extentions of a point to true.

### getValues

public final Object[] getValues()
Gives access to the point's values

Returns:
  a row containing informations about the point

### setValue

public final void setValue(int i, Object value)
Set a Value in corresponding index. It is used to set the corresponding id.

Parameters:
  `i` - the index
  `value` - the value to insert